/*
(display stuff)
height
width
margin
padding
background
color
(text stuff)
(border stuff)
*/

* {
  font-family: sans-serif;
}

body {
  margin: 0;
  padding-top: 63px;
  background: #1b151b;
  color: #e6d2e6;
  overflow: auto;
}

/* text markup */
a {
  color: #66f;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

h1, h2, h3, h4, h5, h6 {
  margin: 0;
  color: #e6d2e6;
}
/* end */

/* header */
#header {
  position: fixed;
  z-index: 2;
  height: 60px;
  width: 100%;
  top: 0;
  border-bottom: 3px solid #969;
  background: #292029;
}

#header .entry {
  display: inline-block;
  line-height: 60px;
  vertical-align: middle;
  margin-left: 50px;

  font-size: 1.3em;
  text-decoration: none;
  color: #e6d2e6;
}

#header .entry * {
  vertical-align: middle;
  margin-top: -5px;
}

#header .entry:hover {
  color: #B8A8B8;
  cursor: pointer;
}
/* end */

/* popup */
#shade {
  z-index: 3;
  visibility: hidden;
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  background: rgba(0, 0, 0, 0.5);
}

#popup {
  z-index: 4;
  visibility: hidden;
  position: absolute;
  height: 480px;
  width: 720px;
  padding: 20px;
  background: #292029;
  color: #e6d2e6;
  text-align: center;
  border-radius: 7px;
  box-shadow: 0 0 0 3px #969;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
/* end */

/* main view */
#main {
    box-sizing: border-box;
    padding: 2em 10%;
    max-width: 100vw;
    overflow: hidden;
}
/* end */

/* container */
.container {
  padding: 30px;
  color: #e6d2e6;
  background: #292029;
  box-shadow: 0 0 0 3px #110d11;
  border-radius: 7px;
}

.container h1 {
    margin: 0;
}
/* end */

#footnote {
  position: absolute;
  bottom: 20px;
  right: 20px;
  font-size: 14px;
  color: #766B76;
}

.centered {
  margin: 0 auto;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

/* input */
input[type=submit],
input[type=reset],
input[type=button] {
  box-shadow: none;
  height: auto;
}

select, input, .input {
  display: inline-block;
  margin: 10px;
  padding: 7px 14px;
  border-radius: 7px;
  border: none;
  box-shadow: 0 0 0 2px #161116;
  font-size: 1.1em;
  color: #e6d2e6;
  background: #1b151b;
}

input {
  height: 30px;
  padding: 0 8px;
  border: 3px solid #1b151b;
}

.checkbox {
  appearance: none;
  -webkit-appearance: none;
  height: 36px !important;
  width: 36px !important;
  margin: 10px;
  border-radius: 7px;
  border: none;
  box-shadow: 0 0 0 2px #161116;
  color: #e6d2e6;
  background: #1b151b;
}

.checkbox:checked {
  background: url('../images/checkmark.svg');
}

select:focus, input:focus, .checkbox:focus, button:focus {
  outline: none;
  box-shadow: 0 0 0 2px #969;
}

select::placeholder, .input::placeholder {
  color: #766B76;
}

.button {
  appearance: none;
  -webkit-appearance: none;
  cursor: pointer;
  margin: 10px;
  padding: 7px 20px;
  border-radius: 7px;
  border: none;
  font-size: 18px;
  color: #e6d2e6;
  background: #969;
  transition-duration: 200ms;
  transition-property: background;
}

.button:hover {
  background: #6b476b;
}

#buttonbar {
  margin: 0;
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, -50%);
}

.red:hover {
  background: #a55;
}
/* end */

/* progress */
#progress {
  display: flex;

  visibility: hidden;
  height: 32px;
  width: 90%;
  margin: 0 auto;
  background: #1b151b;
  font-size: .75rem;
  overflow: hidden;
  border: 3px solid #969;
  border-radius: 7px;
}

#progressBar {
  display: flex;
  flex-direction: column;
  justify-content: center;

  background: #969;
  color: #e6d2e6;
  font-size: 18px;
  text-align: center;
  white-space: nowrap;
  overflow: hidden;
  transition: width .6s ease;
}

#uploadStatus{
  font-size:18px;
  text-align: center;
}

#loadingSymbol {
  height: 96px;
  width: 96px;
  margin: 20px auto;
}
/* end */

/* small table */
#sTable {
  border-collapse: collapse;
  width: 100%;
  max-width: 1024px;
  margin: 0 auto;
  text-align: center;
  white-space: nowrap;
  border-spacing: 0;
}

#sTable caption {
  padding: 20px;
  font-size: 2em;
}

#sTable th {
  padding: 0;
  height: 30px;
  background: #040304;
}

#sTable td {
  padding: 10px;
}

#sTable tr:nth-child(2n+0) {
  background: #161116;
}

#sTable tr:nth-child(2n+1) {
  background: #1b151b;
}
/* end */

.mTable tr:first-child th:first-child {
  border-top-left-radius: 7px;
}

.mTable tr:first-child th:last-child {
  border-top-right-radius: 7px;
}

#sTable tr:last-child td:last-child,
.mTable tr:last-child td:last-child {
  border-bottom-right-radius: 7px;
}

#sTable tr:last-child td:first-child,
.mTable tr:last-child td:first-child {
  border-bottom-left-radius: 7px;
}

tr.green td {
  background: #1b2c1b !important;
}

tr.yellow td {
  background: #372d1b !important;
}

.mTable th:hover,
.mTable tbody tr:hover,
#sTable th:hover,
#sTable tbody tr:hover {
  filter: brightness(170%);
}

/* medium table */
.mTable {
  box-sizing: border-box;
  max-width: 100vw;
  border-collapse: collapse;
  border-spacing: 0;
  margin: 0 auto;
  text-align: center;
  white-space: nowrap;
  overflow: hidden;
  border-radius: 7px;
  box-shadow: 0 0 0 3px #110d11;
}

.mTable caption {
  padding: 20px;
  font-size: 2em;
}

.mTable th {
  height: 25px;
  background: #040304;
}

.mTable td {
  height: 50px;
}

/* stretch link across entire row */
.mTable tr td:first-child {
  position:relative;
}
.mTable tr td:first-child a:before,
.mTable tr td:first-child span:before {
  cursor: pointer;
  content: '';
  position:absolute;
  left: 0;
  top: 0;
  bottom: 0;
  display: block;
  width: 100vw;
}
/* end */

.mTable tr:nth-child(2n+0) td {
  background: #161116;
}

.mTable tr:nth-child(2n+1) td {
  background: #1b151b;
}
/* end */

/* grid view */
.grid {
    text-align: center;
    margin: 2em 0;
}

.grid .entry {
  display: inline-block;
  height: 250px;
  width: 200px;
  margin: 0 1em 2em;
  border-radius: 7px;
  box-shadow: 0 0 0 3px #161116;

  text-align: center;
  font-size: 18px;
  color: #e6d2e6;
  background: #292029;
  transition-duration: 200ms;
  transition-property: box-shadow;
}

.grid .entry:hover {
  cursor: pointer;
  box-shadow: 0 0 0 3px #969;
}

.grid .entry #top {
  position: relative;
  height: 200px;
  width: 200px;
}

.grid .entry #bottom {
  position: relative;
  height: 50px;
  width: 200px;
  border-radius: 0 0 7px 7px;
  background: #161116;
}

.grid .entry #top #icon {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  max-height: 128px;
  max-width: 128px;
}

.grid .entry #bottom span {
  position: absolute;
  width: 90%;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.grid #addEntry {
  position: relative;
  float: left;
  height: 100px;
  width: 100px;
  margin-top: 120px;
  margin-left: 100px;
  border-radius: 50%;
  text-align: center;
}

.grid #addEntry:hover,
.grid #addEntry img:hover {
  cursor: pointer;
  background: #292029;
}

.grid #addEntry img {
  position: absolute;
  height: 64px;
  width: 64px;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
/* end */

/* notification */
#notification {
  box-sizing: border-box;
  position: absolute;
  visibility: hidden;
  z-index: 5;
  min-height: 30px;
  padding: 5px 35px;
  top: 20px;
  left: 50%;
  transform: translate(-50%, 0);
  border-radius: 7px;
  font-size: 18px;
  font-weight: bold;
  line-height: 30px;
  color: #e6d2e6;
  background: #5a5;
}

@keyframes fade1s {
  0% {
    visibility: visible;
    transform: translate(-50%, 0px);
    opacity: 0;
  }
  19% {
    transform: translate(-50%, 70px);
    opacity: 1;
  }
  81% {
    transform: translate(-50%, 70px);
    opacity: 1;
  }
  100% {
    transform: translate(-50%, 0px);
    opacity: 0;
  }
}

@keyframes fade2s {
  0% {
    visibility: visible;
    transform: translate(-50%, 0px);
    opacity: 0;
  }
  12% {
    transform: translate(-50%, 70px);
    opacity: 1;
  }
  88% {
    transform: translate(-50%, 70px);
    opacity: 1;
  }
  100% {
    transform: translate(-50%, 0px);
    opacity: 0;
  }
}

@keyframes fade3s {
  0% {
    visibility: visible;
    transform: translate(-50%, 0px);
    opacity: 0;
  }
  8% {
    transform: translate(-50%, 70px);
    opacity: 1;
  }
  92% {
    transform: translate(-50%, 70px);
    opacity: 1;
  }
  100% {
    transform: translate(-50%, 0px);
    opacity: 0;
  }
}

@keyframes fade5s {
  0% {
    visibility: visible;
    transform: translate(-50%, 0px);
    opacity: 0;
  }
  5% {
    transform: translate(-50%, 70px);
    opacity: 1;
  }
  95% {
    transform: translate(-50%, 70px);
    opacity: 1;
  }
  100% {
    transform: translate(-50%, 0px);
    opacity: 0;
  }
}
/* end */

@media screen and (max-width: 980px) {

  #header .entry:first-child {
    display: inline-block !important;
  }

  #header .entry:nth-child(-n+2) { /* first and second child */
    margin-left: 18px;
  }

  #header .entry:nth-child(n+3) { /* not first and second child */
    display: none;
  }

  #notification {
    width: 90%;
    text-align: center;
  }

  #sTable td, .mTable td {
    font-size: 0.8em;
  }

  .mTable th:last-child,
  .mTable td:last-child {
    display: none;
  }
}

/* this fix sucks, but it looks good */
@media screen and (max-height: 600px) {
  .centered {
    position: unset;
    top: unset;
    left: unset;
    transform: none;
    margin: 50px auto 0;
  }
}

@media screen and (max-width: 499px) {
  .grid .entry {
    margin: 30px 0;
  }

  .grid a {
    display: table;
    margin: 0 auto;
  }
}
